hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Prasanth Jayachandran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-20071) Migrate to jackson 2.x and prevent usage
Date Tue, 03 Jul 2018 16:18:00 GMT

    [ https://issues.apache.org/jira/browse/HIVE-20071?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16531620#comment-16531620
] 

Prasanth Jayachandran commented on HIVE-20071:
----------------------------------------------

{quote}bq. but right now the 1.x lib is accessible without even refering it as a dep
{quote}
searchTransitive in enforcer plugin to true should prevent this right? This is what we do
for com.google.code.findbugs:annotations LGPL import. 

> Migrate to jackson 2.x and prevent usage
> ----------------------------------------
>
>                 Key: HIVE-20071
>                 URL: https://issues.apache.org/jira/browse/HIVE-20071
>             Project: Hive
>          Issue Type: Bug
>            Reporter: Zoltan Haindrich
>            Priority: Major
>         Attachments: restrict_usage.patch
>
>
> there are still some places where jackson 1.x is being used; even thru it's not even
referenced from hive's pom.xml-s
> {code}
> git grep -E 'import org.codehaus.jackson'|wc -l
> 106
> {code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message